Skip to content
You're viewing documentation for v2026.11.5-beta. It may be out of date.Go to latest
TimescaleDB Enterprise
Esc
↑↓navigate↵open⌘Jpreview

Remove a service grant

The change applies to the open sessions of the user at once.

DELETE/api/v1/users/{id}/service-grants/{service_id}
Authorization
tse_sessionAPI key · cookierequired
Path parameters
idstringrequired
service_idstringrequired
Responses
204

No Content

default

Error

codestring

Stable code of the refusal, when the route has codes

detailsstring[]

Additional detail, e.g. per-field validation failures

errorstringrequired

Human-readable error message

Request
curl -X DELETE 'https://console.example.com/api/v1/users/string/service-grants/string' \
  -H 'Cookie: tse_session=YOUR_API_KEY' \
  -H 'Accept: application/json'
Response
No Content